- Qt 5.5
- Qt GUI
- C++ Classes
- QFileOpenEvent
- Qt 5.5.1 Reference Documentation

# QFileOpenEvent Class

The QFileOpenEvent class provides an event that will be sent when there is a request to open a file or a URL. More...

Header: | #include <QFileOpenEvent>
qmake: | QT += gui
Inherits: |

- List of all members, including inherited members

## Public Functions

QString | file() const
bool | openFile(QFile & file, QIODevice::OpenMode flags) const
QUrl | url() const

## Detailed Description

The QFileOpenEvent class provides an event that will be sent when there is a request to open a file or a URL.

File open events will be sent to the QApplication::instance() when the operating system requests that a file or URL should be opened. This is a high-level event that can be caused by different user actions depending on the user's desktop environment; for example, double clicking on an file icon in the Finder on OS X.

This event is only used to notify the application of a request. It may be safely ignored.

Note: This class is currently supported for OS X only.

## Member Function Documentation

### QString QFileOpenEvent::file() const

Returns the file that is being opened.

### bool QFileOpenEvent::openFile(QFile & file, QIODevice::OpenMode flags) const

Opens a QFile on the file referenced by this event in the mode specified by flags. Returns `true` if successful; otherwise returns `false`.

This is necessary as some files cannot be opened by name, but require specific information stored in this event.

This function was introduced in Qt 4.8.

### QUrl QFileOpenEvent::url() const

Returns the url that is being opened.

This function was introduced in Qt 4.6.